Bug 25555 - Holds Queue sorts patrons by firstname
Summary: Holds Queue sorts patrons by firstname
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 25747
  Show dependency treegraph
 
Reported: 2020-05-20 17:54 UTC by Lucas Gass
Modified: 2020-11-30 21:52 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.01


Attachments
Bug 25555: Invert patron name in holdsqueue.tt (1.42 KB, patch)
2020-05-20 18:03 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 25555: Invert patron name in holdsqueue.tt (1.48 KB, patch)
2020-05-31 21:32 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 25555: Invert patron name in holdsqueue.tt (1.53 KB, patch)
2020-06-14 11:45 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2020-05-20 17:54:51 UTC
The Holds Queue table sorts name by firstname which is less helpful than sorting by surname
Comment 1 Lucas Gass 2020-05-20 18:03:40 UTC
Created attachment 105159 [details] [review]
Bug 25555: Invert patron name in holdsqueue.tt

TEST PLAN:
1. Have multiple holds from multiple patrons and run the holds queue cron to populate the holds queue list.
2. Try sorting by patron and see that is sorts based on first name.
3. Apply patch
4. Try sorting again and now it should sort by surname.
Comment 2 Victor Grousset/tuxayo 2020-05-31 21:32:05 UTC
Created attachment 105447 [details] [review]
Bug 25555: Invert patron name in holdsqueue.tt

TEST PLAN:
1. Have multiple holds from multiple patrons and run the holds queue cron to populate the holds queue list.
2. Try sorting by patron and see that is sorts based on first name.
3. Apply patch
4. Try sorting again and now it should sort by surname.

Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 3 Victor Grousset/tuxayo 2020-05-31 21:32:56 UTC
It works! :D
Comment 4 Katrin Fischer 2020-06-14 11:45:31 UTC
Created attachment 105857 [details] [review]
Bug 25555: Invert patron name in holdsqueue.tt

TEST PLAN:
1. Have multiple holds from multiple patrons and run the holds queue cron to populate the holds queue list.
2. Try sorting by patron and see that is sorts based on first name.
3. Apply patch
4. Try sorting again and now it should sort by surname.

Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-06-15 10:00:15 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-06-17 22:16:36 UTC
backported to 20.05.x for 20.05.01
Comment 7 Aleisha Amohia 2020-06-19 03:34:12 UTC
enhancement, not backporting to 19.11.x
Comment 8 Caroline Cyr La Rose 2020-08-21 14:00:44 UTC
For the sake of release notes, I'm classifying this as a bug rather than an enhancement. 

Feel free to change it back if you think this is wrong.